- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
log1p
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Natural logarithm of (1 + in) More...

## Functions
AFAPI array | log1p (const array &in)
| C++ Interface for natural logarithm of 1 + input. More...
AFAPI af_err | af_log1p (af_array *out, const af_array in)
| C Interface for logarithm of (in + 1) More...

## Detailed Description

Natural logarithm of (1 + in)

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_log1p | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for logarithm of (in + 1)

Parameters

  [out] | out | will contain the logarithm of of (in + 1)
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::log1p | ( | const array & | in | ) |

C++ Interface for natural logarithm of 1 + input.

Parameters

  [in] | in | is input

Returns
  the natural logarithm of (1 + input)

Note
  This function is useful when `is` small